import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { ACTIONS } from '../constants';
import { IState } from '../types';


const initialState: IState = {};

type payloadType = any;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IState => {
	switch (type) {
		case ACTIONS.SAVE:
			return {
				...state,
				...payload,
			};
		default:
			return state
	}
};

export default reducer;
