import * as React from 'react';

import { Grid, GridCol, HORIZONTAL_ALIGN } from '@romanjaros/treejs-components/Grid';

import { StyledDiv } from '../styles';


const GridPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>Grid</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={6}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={6}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={12}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<h3>Justify</h3>

		<b>Left</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.LEFT}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Right</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.RIGHT}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Center</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.CENTER}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Middle</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.MIDDLE}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Edge</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.EDGE}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>
	</React.Fragment>
);

export default GridPage;
