import styled, { css } from '@romanjaros/treejs-components/styled';


interface IStyledCustomRadioButton {
	active: boolean;
}

export const StyledCustomRadioButton = styled.div<IStyledCustomRadioButton>`
	text-align: center;

	padding: 10px;

	${(p) => p.active && css`
		background-color: ${p.theme.primaryColor};
		color: ${p.theme.white} !important;
	`};

	& > div {
		margin-top: 5px;
	}
`;
