import * as React from 'react';

// eslint-disable-next-line max-len
import AddToasterButton from '@romanjaros/treejs-components/Toaster/components/AddToasterButton';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import { STATUS } from '@romanjaros/treejs-types/common';


const ToasterPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Toaster</h2>

			<h3>Status</h3>
			<Grid>
				<GridCol size={2}>
					<AddToasterButton
						name="none"
						title="Show toaster"
						message="Toaster example. Use for notification."
						status={STATUS.none}
					/>
				</GridCol>
				<GridCol size={2}>
					<AddToasterButton
						name="info"
						title="Show toaster"
						message="Toaster example. Use for notification."
						status={STATUS.info}
					/>
				</GridCol>
				<GridCol size={2}>
					<AddToasterButton
						name="success"
						title="Show toaster"
						message="Toaster example. Use for notification."
						status={STATUS.success}
					/>
				</GridCol>
				<GridCol size={2}>
					<AddToasterButton
						name="warning"
						title="Show toaster"
						message="Toaster example. Use for notification."
						status={STATUS.warning}
					/>
				</GridCol>
				<GridCol size={2}>
					<AddToasterButton
						name="error"
						title="Show toaster"
						message="Toaster example. Use for notification."
						status={STATUS.error}
					/>
				</GridCol>
			</Grid>
		</React.Fragment>
	);
};

export default ToasterPage;
