import * as React from 'react';
import SelectBox from '@romanjaros/treejs-components/SelectBox';
import { IOption } from '@romanjaros/treejs-components/SelectBox/types';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';

import { THEME } from '../constants';


const changeTheme = (option: IOption): void => {
	window.localStorage.setItem(THEME, option.code);
	window.location.reload();
};

const WelcomePage = (): React.ReactElement => (
	<React.Fragment>
		<h2>Welcome</h2>

		<Grid>
			<GridCol size={2}>
				<SelectBox
					name="theme"
					title="Choose theme"
					value={window.localStorage.getItem(THEME)}
					options={[
						{ code: 'purple', name: 'Purple' },
						{ code: 'blue', name: 'Blue' },
						{ code: 'green', name: 'Green' },
					]}
					onChange={changeTheme}
				/>
			</GridCol>
		</Grid>

		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
		<br /><br /><br /><br /><br /><br /><br />
	</React.Fragment>
);

export default WelcomePage;
