import * as React from 'react';

import { StyledTableCell } from '../style';


interface IProps {
	title: string | React.ReactElement;
}

class TableCell extends React.PureComponent<IProps> {
	public render() {
		return (
			<StyledTableCell data-title={this.props.title}>
				{this.props.children}
			</StyledTableCell>
		);
	}
}

export default TableCell;