import * as React from 'react';

import { StyledTableHeaderRow } from '../style';


interface IProps {
	children: React.ReactElement[];
}

class TableHeader extends React.PureComponent<IProps> {
	public render() {
		return (
			<StyledTableHeaderRow>
				{this.props.children}
			</StyledTableHeaderRow>
		);
	}
}

export default TableHeader;