import { STATUS } from '@romanjaros/treejs-types/common';

export type IToasterId = string;

export interface IToasterState {
	message: string;
	name: IToasterId;
	status?: STATUS;
	timeout?: number;
}

export type IToasterOption = IToasterState;

export interface IToasterReducer {
	[key: string]: IToasterState;
}
