import { ThemeInterface } from '../styled';

const theme: ThemeInterface = {
	primaryColor: '#DC7633',
	secondaryColor: '#ffffff',

	disableColor: '#dddddd',

	focusBackgroundColor: '#76B3FA',
	focusColor: '#fff',

	black: '#636366',
	gray: '#f5f5f5',
	white: '#fff',

	infoColor: '#92B6D5',
	infoDarkColor: '#0099CC',
	successColor: '#00A591',
	successDarkColor: '#007E33',
	warningColor: '#FF851B',
	warningDarkColor: '#FF8800',
	errorColor: '#FF6F61',
	errorDarkColor: '#CC0000',

	tabletScreenSize: 580,
	mediumScreenSize: 1024,
	largeScreenSize: 1445,
};

export default theme;
