import styled from '../styled';


export const StyledCheckbox = styled.div`
	position: relative;
	
	margin-top: 3px;

	& input[type=checkbox] {
		display: none;
	}
	
	& label {
		cursor: pointer;		
		color: ${(p) => p.theme.primaryColor};
	}

	& div {
		display: block;
		color: ${(p) => p.theme.black};
		
		padding-bottom: 10px;
		
		font-size: 13px;
	}
	
	& span {
		margin-left: 5px;
		color: ${(p) => p.theme.black};
	}
`;
