import styled, { css } from '../styled';


interface IProps {
	status: "info" | "error";
}

export const StyledIcon = styled.div<IProps>`
	cursor: pointer;

	${(p) => p.status === "info" && css`
		color: ${p.theme.infoColor};
	`}

	${(p) => p.status === "error" && css`
		color: ${p.theme.errorColor};
	`}
`;
