export type IModalId = string;

export interface IModalState {
	name: IModalId;
	title?: string;
	visible?: boolean;
	width?: number;
}

export type IModalOption = IModalState;

export interface IModalReducer {
	[key: string]: IModalState;
}
