import styled from '../styled';


export const StyledInput = styled.input`
	appearance: none;

	width: 100%;
	height: 15px;

	background: ${(p) => p.theme.gray};

	border-radius: 50px;

	margin-bottom: 10px;

	outline: none;

	&::-webkit-slider-thumb {
		appearance: none;

		width: 25px;
		height: 25px;

		background: ${(p) => p.theme.primaryColor};

		border-radius: 50px;

		cursor: pointer;
	}
`;