import * as React from 'react';

import { StyledTableCell } from '../style';


interface IProps {
	children: React.ReactElement | string;
}

class TableCell extends React.PureComponent<IProps> {
	public render() {
		return (
			<StyledTableCell>
				{this.props.children}
			</StyledTableCell>
		);
	}
}

export default TableCell;