import * as React from 'react';

import { StyledTableRow } from '../style';


interface IProps {
	children: React.ReactElement[];
}

class TableRow extends React.PureComponent<IProps> {
	public render() {
		return (
			<StyledTableRow>
				{this.props.children}
			</StyledTableRow>
		);
	}
}

export default TableRow;